package edu.mermet.tp8.fenetres.modales;

import java.awt.Frame;
import java.util.Locale;
import java.util.ResourceBundle;

import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JList;
import javax.swing.JSplitPane;

public class CommentFaireDialogue extends JDialog {
	private ResourceBundle bundle = ResourceBundle.getBundle("commentFaire", Locale.FRENCH);
	
	public CommentFaireDialogue(Frame owner) {
		super(owner, false);
		setTitle(bundle.getString("commentFaire"));
		init();
	}
	
	private void init() {
		contents();
		setSize(300, 300);
		setLocationRelativeTo(null);
		setVisible(true);
	}
	
	private void contents() {
		setContentPane(new JSplitPane(JSplitPane.HORIZONTAL_SPLIT));
		initListe();
		initPageTuto();
	}

	private void initListe() {
		String[] items = {bundle.getString("commentFaire"), bundle.getString("quitter")};
		JList<String> list = new JList<>(items);
		add(list);
	}

	private void initPageTuto() {
		String texte = bundle.getString("texteAccueil");
		JEditorPane editorPane = new JEditorPane("text/html", texte);
		editorPane.setEditable(false);
		add(editorPane);
	}
}
